Last Comment Bug 801318 - Override the UA string for Moodle to get the rich text editor rather than plain textareas (Port Bug 799502).
: Override the UA string for Moodle to get the rich text editor rather than pla...
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Preferences (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.16
Assigned To: Philip Chee
:
Mentors:
Depends on:
Blocks: 815801
  Show dependency treegraph
 
Reported: 2012-10-13 10:39 PDT by Philip Chee
Modified: 2012-11-27 14:07 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Patch v1.0 Moodle UA Override. (3.20 KB, patch)
2012-10-13 10:49 PDT, Philip Chee
iann_bugzilla: review+
neil: approval‑comm‑aurora-
neil: approval‑comm‑beta-
Details | Diff | Review
Patch v1.0 Moodle UA Override. Branch safe patch. Carrying forward r=IanN (3.22 KB, patch)
2012-10-18 08:23 PDT, Philip Chee
philip.chee: review+
bugspam.Callek: approval‑comm‑aurora+
bugspam.Callek: approval‑comm‑beta+
Details | Diff | Review

Description Philip Chee 2012-10-13 10:39:24 PDT
> Steps to reproduce:
> 
> Example site to use can be http://demo.moodle.net/user/edit.php?id=5&course=1 
> where after using demo login as student, the "description" field should be rich 
> text.
> 
> Actual results:
> 
> The textarea which should have progressively enhanced stays as a textarea.
> 
> Expected results:
> 
> It should have shown all the rich text buttons and things.

References:

Bug 799502 - Override the UA string for moodle to get the rich text editor rather than plain textareas.
  Bug 797703 - moodle serves plain textarea instead of rich text editor.
Bug 797363 - Remove aol.com user agent override since mail.aol.com is fixed.
Comment 1 Philip Chee 2012-10-13 10:49:40 PDT
Created attachment 671113 [details] [diff] [review]
Patch v1.0 Moodle UA Override.

> -pref("general.useragent.override.aol.com", "Gecko/[^ ]*#Gecko/20100101");
This is from Bug 797363 - Remove aol.com user agent override since mail.aol.com is fixed.
Comment 2 Ian Neal 2012-10-14 10:07:29 PDT
Comment on attachment 671113 [details] [diff] [review]
Patch v1.0 Moodle UA Override.

r=me though probably needs someone familiar with using Moodle to fully test it.
Comment 3 Philip Chee 2012-10-15 05:40:56 PDT
From Bug 797703 - moodle serves plain textarea instead of rich text editor

1. Go to http://demo.moodle.net/login/index.php
2. Login as student/demo
3. The Description textarea should turn into a rich text editor.
Comment 4 Philip Chee 2012-10-15 06:07:41 PDT
Comment on attachment 671113 [details] [diff] [review]
Patch v1.0 Moodle UA Override.

Pushed to comm-central:
http://hg.mozilla.org/comm-central/rev/06cde2eba4e8

Base bug landed on mozilla-beta and mozilla-aurora. See Bug 799502 Comment 10.

[Approval Request Comment]
Regression caused by (bug #): Bug 799502.
User impact if declined: plain textarea instead of rich text editor on moodle (worse user experience).
Testing completed (on m-c, etc.): Base bug tested on m-c, this patch tested on c-c.
Risk to taking this patch (and alternatives if risky): reasonably low risk, and the User Agent override for moodle can be disabled via a pref.
String changes made by this patch: none.
Comment 5 Philip Chee 2012-10-15 06:08:45 PDT
> Regression caused by (bug #): Bug 799502.
Actually Bug 588909
Comment 6 neil@parkwaycc.co.uk 2012-10-16 00:34:04 PDT
Comment on attachment 671113 [details] [diff] [review]
Patch v1.0 Moodle UA Override.

Need to make a branch-safe patch because contains() doesn't exist on beta and got turned off on aurora by bug 793781.
Comment 7 Philip Chee 2012-10-18 08:23:21 PDT
Created attachment 672799 [details] [diff] [review]
Patch v1.0 Moodle UA Override. Branch safe patch. Carrying forward r=IanN

Regression caused by (bug #): Bug 588909/Bug 799502.
User impact if declined: plain textarea instead of rich text editor on moodle (worse user experience).
Testing completed (on m-c, etc.): Base bug tested on m-c, this patch tested on c-c.
Risk to taking this patch (and alternatives if risky): reasonably low risk, and the User Agent override for moodle can be disabled via a pref.
String changes made by this patch: none.
Comment 8 Justin Wood (:Callek) 2012-10-23 21:54:32 PDT
http://hg.mozilla.org/releases/comm-beta/rev/be7a76ff1608
Comment 9 Philip Chee 2012-10-24 02:45:52 PDT
Pushed to comm-aurora:
http://hg.mozilla.org/releases/comm-aurora/rev/8bf74bea06a4

Note You need to log in before you can comment on or make changes to this bug.